petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetComputeRitz

Sets a flag so that the Ritz or harmonic Ritz pairs will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetComputeRitz(KSP ksp, PetscBool flg)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate() Many br
| flg | - PETSC_TRUE or PETSC_FALSE Many br

### Notes

Currently this option is only valid for the GMRES method. Many br

Many br

### Keywords

KSP, set, compute, ritz

### See Also

KSPComputeRitz()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages